CREATE procedure [C6Staging].[RP_ST_REP_ASSET_1_E_2_ORDINATE] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_REP_ASSET_1_E_2_ORDINATE',
		GETDATE(),
		'Elaborazione giornaliera'
	)
    --drop table c6staging.RP_REP_ASSET_1_E_2_ORDINATE
	truncate table c6staging.RP_REP_ASSET_1_E_2_ORDINATE
	insert into c6staging.RP_REP_ASSET_1_E_2_ORDINATE
	select *  
	--into c6staging.RP_REP_ASSET_1_E_2_ORDINATE
	from [CONSUNI].[ConsulenzaUnica].dbo.REP_ASSET_1_E_2_ORDINATE
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_REP_ASSET_1_E_2_ORDINATE' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_REP_ASSET_1_E_2_ORDINATE'
		)
end